Package org.astrogrid.samp

# Class DataException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalArgumentException
org.astrogrid.samp.DataException

All Implemented Interfaces:
  `Serializable`

public class DataException extends IllegalArgumentException
Unchecked exception thrown when a data structure for use with SAMP does not have the correct form.

Since:
  15 Jul 2008
Author:
  Mark Taylor
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DataException()`
Constructs an exception with no message.
`DataException(String msg)`
Consructs an exception with a given message.
`DataException(String msg, Throwable e)`
Constructs an exception with a given message and cause.
`DataException(Throwable e)`
Constructs an exception with a given cause.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DataException

public DataException()
Constructs an exception with no message.

### DataException

public DataException(String msg)
Consructs an exception with a given message.

Parameters:
  `msg` - message

### DataException

public DataException(Throwable e)
Constructs an exception with a given cause.

Parameters:
  `e` - cause of this exception

### DataException

public DataException(String msg, Throwable e)
Constructs an exception with a given message and cause.

Parameters:
  `msg` - message
  `e` - cause of this exception